petsc-3.6.2 2015-10-02
Report Typos and Errors

# KSPSetTolerances

Sets the relative, absolute, divergence, and maximum iteration tolerances used by the default KSP convergence testers.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPSetTolerances(KSP ksp,PetscReal rtol,PetscReal abstol,PetscReal dtol,PetscInt maxits)

Logically Collective on KSP

### Input Parameters

| ksp | - the Krylov subspace context
| rtol | - the relative convergence tolerance, relative decrease in the (possibly preconditioned) residual norm
| abstol | - the absolute convergence tolerance absolute size of the (possibly preconditioned) residual norm
| dtol | - the divergence tolerance, amount (possibly preconditioned) residual norm can increase before KSPConvergedDefault() concludes that the method is diverging
| maxits | - maximum number of iterations to use

### Options Database Keys

| -ksp_atol <abstol> | - Sets abstol
| -ksp_rtol <rtol> | - Sets rtol
| -ksp_divtol <dtol> | - Sets dtol
| -ksp_max_it <maxits> | - Sets maxits

### Notes

Use PETSC_DEFAULT to retain the default value of any of the tolerances.

See KSPConvergedDefault() for details how these parameters are used in the default convergence test. See also KSPSetConvergenceTest() for setting user-defined stopping criteria.

### Keywords

KSP, set, tolerance, absolute, relative, divergence,
convergence, maximum, iterations

### See Also

KSPGetTolerances(), KSPConvergedDefault(), KSPSetConvergenceTest()

Level:intermediate
Location:src/ksp/ksp/interface/itfunc.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex1.c.html
src/ksp/ksp/examples/tutorials/ex2.c.html
src/ksp/ksp/examples/tutorials/ex7.c.html
src/ksp/ksp/examples/tutorials/ex8.c.html
src/ksp/ksp/examples/tutorials/ex15.c.html
src/ksp/ksp/examples/tutorials/ex18.c.html
src/ksp/ksp/examples/tutorials/ex23.c.html
src/ksp/ksp/examples/tutorials/ex58.c.html
src/ksp/ksp/examples/tutorials/ex62.c.html
src/ksp/ksp/examples/tutorials/ex1f.F.html
src/ksp/ksp/examples/tutorials/ex2f.F.html